Get collaboration rule
curl --request GET \
--url https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}")
.header("X-API-KEY", "<api-key>")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}';
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-KEY", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "success",
"message": "",
"tips": null,
"data": {
"app_id": "app_abc123",
"rule_name": "Invoice human review",
"rule_status": true,
"rule": [
{
"rule_dimension": "Invoice number",
"rule_setting": "Equals INV-AUDIT-001"
}
],
"rule_logic": 1,
"created_at": "2026-10-15T10:00:00Z",
"updated_at": "2026-10-15T10:00:00Z"
}
}{
"detail": [
{
"type": "greater_than",
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than 0",
"input": 0,
"ctx": {
"gt": 0
}
}
]
}Human collaboration
Get collaboration rule
Retrieve human review rules by application ID.
GET
/
open
/
agentic_doc_processor
/
{tenant_name}
/
v1
/
collaboration
/
rules
/
{app_id}
Get collaboration rule
curl --request GET \
--url https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}")
.header("X-API-KEY", "<api-key>")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}';
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-KEY", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_doc_processor/{tenant_name}/v1/collaboration/rules/{app_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "success",
"message": "",
"tips": null,
"data": {
"app_id": "app_abc123",
"rule_name": "Invoice human review",
"rule_status": true,
"rule": [
{
"rule_dimension": "Invoice number",
"rule_setting": "Equals INV-AUDIT-001"
}
],
"rule_logic": 1,
"created_at": "2026-10-15T10:00:00Z",
"updated_at": "2026-10-15T10:00:00Z"
}
}{
"detail": [
{
"type": "greater_than",
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than 0",
"input": 0,
"ctx": {
"gt": 0
}
}
]
}See Human collaboration for how to verify rule activation.
Authorizations
Production API Key. You can find it under My API in the ADP platform. Make sure the API Key is active and belongs to the production environment.
Path Parameters
Tenant name. Default: laiye.
Actual application ID.
Response
Business response. Check code and read business state back after writes.